//
// Created by spenc on 5/21/2025.
//

#ifndef RENDERER_H
#define RENDERER_H

#include "glfw/glfw3.h"
#include "glm/glm.hpp"

namespace OX {

class Renderer {
public:
    Renderer() = default;
    ~Renderer() = default;

    [[nodiscard]] GLuint GetRenderTarget() const {return m_renderTarget; }

private:
    GLuint m_renderTarget;
};

} // OX

#endif //RENDERER_H
